#!/usr/bin/env python
# -*- coding: utf-8 -*-

import logging
import os
import confuse
from blessed import Terminal

term = Terminal()

# config.yaml
cfg = confuse.LazyConfig('keyriban', __name__)
CFG_FILENAME = os.path.join(cfg.config_dir(), confuse.CONFIG_FILENAME)
logging.basicConfig(filename='keyriban.log', filemode='a',
    format='%(asctime)s;%(filename)s;%(levelname)s;%(message)s',
    level=20)


def save():
    with open(CFG_FILENAME, 'w') as f:
        f.write(cfg.dump(CFG_FILENAME))
