from collections import deque

"""Fixed length ring of last pressed keys.
"""

kseq = deque([''] * 3, maxlen=3)


def format(keys, term):
    kseq.extend(keys)
    return ' '.join([term.dim(kseq[0]), kseq[1],
        term.reverse(kseq[-1])])
